Package org.apache.lucene.search.spell

# Class SuggestWord

java.lang.Object
org.apache.lucene.search.spell.SuggestWord

public final class SuggestWord extends Object
SuggestWord, used in suggestSimilar method in SpellChecker class.

Default sort is first by score, then by frequency.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `freq`
  The freq of the word
  `float`
  `score`
  the score of the word
  `String`
  `string`
  the suggested word

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuggestWord()`
  Creates a new empty suggestion with null text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### score

    public float score
    the score of the word

  - ### freq

    public int freq
    The freq of the word

  - ### string

    public String string
    the suggested word

- ## Constructor Details

  - ### SuggestWord

    public SuggestWord()
    Creates a new empty suggestion with null text.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`